#ifndef AMDIS_H
#define AMDIS_H
#include "AbstractFunction.h"
#include "AdaptInfo.h"
#include "AdaptInstationary.h"
#include "AdaptStationary.h"
#include "Assembler.h"
#include "BasisFunction.h"
#include "BiCGSolver.h"
#include "Boundary.h"
#include "BiCGStab_M.h"
#include "Boundary.h"
#include "BoundaryCondition.h"
#include "BoundaryManager.h"
#include "CGSolver.h"
#include "CoarseningManager.h"
#include "CoarseningManager1d.h"
#include "CoarseningManager2d.h"
#include "CoarseningManager3d.h"
#include "CreatorInterface.h"
#include "CreatorMap.h"
#include "DOFAdmin.h"
#include "DOFContainer.h"
#include "DOFIndexed.h"
#include "DOFIterator.h"
#include "DOFMatrix.h"
#include "DOFVector.h"
#include "DiagonalPreconditioner.h"
#include "DirichletBC.h"
#include "DualTraverse.h"
#include "ElInfo.h"
#include "ElInfo1d.h"
#include "ElInfo2d.h"
#include "ElInfo3d.h"
#include "Element.h"
#include "ElementMatrix.h"
#include "ElementVector.h"
#include "Error.h"
#include "Estimator.h"
#include "FileWriter.h"
#include "FiniteElemSpace.h"
#include "FixVec.h"
#include "Flag.h"
#include "GMResSolver.h"
#include "Global.h"
#include "GridWriter.h"
#include "Lagrange.h"
#include "LeafData.h"
#include "Line.h"
#include "MacroElement.h"
#include "MacroWriter.h"
#include "Marker.h"
#include "MatVecMultiplier.h"
#include "MatrixVector.h"
#include "MemoryManager.h"
#include "MemoryPool.h"
#include "Mesh.h"
#include "ComponentTraverseInfo.h"
#include "Newton.h"
#include "NewtonS.h"
#include "NonLinSolver.h"
#include "NonLinUpdater.h"
#include "ODirSolver.h"
#include "OEMSolver.h"
#include "OResSolver.h"
#include "Operator.h"
#include "Parameters.h"
#include "Parametric.h"
#include "PartitionElementData.h"
#include "PeriodicMap.h"
#include "PeriodicBC.h"
#include "PngWriter.h"
#include "Preconditioner.h"
#include "ProblemScal.h"
#include "ProblemVec.h"
#include "ProblemInstat.h"
#include "ProblemTimeInterface.h"
#include "ProblemInterpolScal.h"
#include "ProblemNonLin.h"
#include "ProblemStatBase.h"
#include "StandardProblemIteration.h"
#include "Projection.h"
#include "QPsiPhi.h"
#include "Quadrature.h"
#include "RCNeighbourList.h"
#include "RefinementManager.h"
#include "RefinementManager1d.h"
#include "RefinementManager2d.h"
#include "RefinementManager3d.h"
#include "RobinBC.h"
#include "SmootherBase.h"
#include "SolutionDataStorage.h"
#include "SparseVector.h"
#include "SurfaceOperator.h"
#include "SurfaceQuadrature.h"
#include "SystemVector.h"
#include "TecPlotWriter.h"
#include "Tetrahedron.h"
#include "TimedObject.h"
#include "Traverse.h"
#include "Triangle.h"
#include "ValueWriter.h"
#include "VtkWriter.h"
#include "demangle.h"
#include "parareal/ProblemBase.h"
#include "parareal/AdaptParaReal.h"
#endif
